ZPOOL-ADD(8)

NAME
zpool-add - Adds specified virtual devices to a ZFS storage pool

SYNOPSIS
zpool add [-fgLnP] [-o property=value] pool vdev...

DESCRIPTION

    zpool add [-fgLnP] [-o property=value] pool vdev... Adds the specified virtual devices to the given pool. The vdev specification is described in the Virtual Devices section of zpoolconcepts(8.) The behavior of the -f option, and the device checks performed are described in the zpool create subcommand.

    -f  Forces use of vdevs, even if they appear in use or specify a conflicting replication level. Not all devices can be overridden in this manner.

    -g  Display vdev, GUIDs instead of the normal device names. These GUIDs can be used in place of device names for the zpool detach/offline/remove/replace commands.

    -L  Display real paths for vdevs resolving all symbolic links. This can be used to look up the current block device name regardless of the /dev/disk/ path used to open it.

    -n  Displays the configuration that would be used without actually adding the vdevs. The actual pool creation can still fail due to insufficient privileges or device sharing.

    -P  Display real paths for vdevs instead of only the last component of the path. This can be used in conjunction with the -L flag.

    -o property=value
        Sets the given pool properties. See the zpoolprops(8) manual page for a list of valid properties that can be set. The only property supported at the moment is ashift.

SEE ALSO
zpool-remove(8), zpool-attach(8), zpool-import(8), zpool-initialize(8), zpool-online(8)